# Uses of Interface
org.eclipse.core.databinding.observable.IDisposeListener

Packages that use IDisposeListener
Package
Description
org.eclipse.core.databinding.observable
Provides the core APIs for observing changes in objects.
org.eclipse.core.databinding.observable.list
Provides classes for observing changes in lists.
org.eclipse.core.databinding.observable.map
Provides classes that can be used to observe changes in maps.

## Uses of IDisposeListener in org.eclipse.core.databinding.observable

Methods in org.eclipse.core.databinding.observable with parameters of type IDisposeListener
Modifier and Type
Method
Description
`void`
AbstractObservable.`addDisposeListener(IDisposeListener listener)`
`void`
ChangeSupport.`addDisposeListener(IDisposeListener listener)`
`void`
IObservable.`addDisposeListener(IDisposeListener listener)`
Adds the given dispose listener to the list of dispose listeners.
`void`
AbstractObservable.`removeDisposeListener(IDisposeListener listener)`
`void`
ChangeSupport.`removeDisposeListener(IDisposeListener listener)`
`void`
IObservable.`removeDisposeListener(IDisposeListener listener)`
Removes the given dispose listener from the list of dispose listeners.

## Uses of IDisposeListener in org.eclipse.core.databinding.observable.list

Methods in org.eclipse.core.databinding.observable.list with parameters of type IDisposeListener
Modifier and Type
Method
Description
`void`
AbstractObservableList.`addDisposeListener(IDisposeListener listener)`
`void`
AbstractObservableList.`removeDisposeListener(IDisposeListener listener)`

## Uses of IDisposeListener in org.eclipse.core.databinding.observable.map

Methods in org.eclipse.core.databinding.observable.map with parameters of type IDisposeListener
Modifier and Type
Method
Description
`void`
AbstractObservableMap.`addDisposeListener(IDisposeListener listener)`
`void`
AbstractObservableMap.`removeDisposeListener(IDisposeListener listener)`